Package org.eclipse.app4mc.amalthea.model

## Class AmaltheaMerger

- Object
- - AmaltheaMerger

    public class AmaltheaMerger
    extends Object

This class provides static methods to extend a model with major elements of a second model.

### Method Summary

All Methods
`static void` `addElements​(@NonNull Amalthea mainModel, @NonNull Collection<Amalthea> inputs)` Add the contained elements of the input models to the main model.

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### addElements

    public static void addElements​(@NonNull Amalthea mainModel,
                                   @NonNull Collection<Amalthea> inputs)

Add the contained elements of the input models to the main model. Only major elements of the model (with their containments) are added. In case of name conflicts the affected elements will be omitted.

Parameters:
  `mainModel` - model that is extended
  `inputs` - list of models that contain the additional elements